CrossOver Support - Community Forums

Important Information These are community forums and not official technical support. If you need official support: Contact Us

CrossOver Linux
Discussion about CrossOver Linux

The following comments are owned by whoever posted them. We are not responsible for them in any way.

Back to Threads Reply to Thread

Missing libc6-i386 package needed for installation

I am trying to evaluate CrossOver Linux on a new Raspberry Pi 3 (64-bit) running Raspbian 8.0. During the install I get an error message about libc6. After a bit of checking I found an article that indicated I needed to install libc6-i386. However, this package does not seem to exist. Is there something newer that I should be using?

Thanks,
Dave

CrossOver requires an x86 chip to run. It will not run on your Pi, because your Pi has an ARM processor.

You could run it under qemu, perhaps, but I suspect that would be quite slow.

Darn - completely missed that part. Eventually my intent is to be running on an X86 architecture but before I commit my development system to Linux rather than Windows I want to be able to verify that the tools I will need can be run. Looks like I may have to invest in a cheap X86 system for further evaluation.

Thanks for the response,
Dave

If you already have a Windows box you may have decent luck installing some Linux flavor in a VM on that box and trying CrossOver from there (I don't use Windows so I don't have a pointer to which VM might be a good one). It may still be slow, but likely usable enough for some evaluation.

I would go with VirtualBox. https://www.virtualbox.org/

Forget gaming with virtualbox, as it still doesn't offer much in that area. But for anything else, it should run pretty much every distro out there with a decent speed. It will never be as fast as on bare metal, but fast enough to get a really good idea of how things work. That includes running work like applications. If you keep in mind the slight slowdown that VMs cause, it should be fine to test Crossover on Virtualbox with the any distro.

Please Note: This Forum is for non-application specific questions relating to installation/configuration of CrossOver. All application-specific posts to this Forum will be moved to their appropriate Compatibility Center Forum.

CrossOver Forums: the place to discuss running Windows applications on Mac and Linux

CodeWeavers or its third-party tools process personal data (e.g. browsing data or IP addresses) and use cookies or other identifiers, which are necessary for its functioning and required to achieve the purposes illustrated in our Privacy Policy. You accept the use of cookies or other identifiers by clicking the Acknowledge button.
Please Wait...
eyJjb3VudHJ5IjoiVVMiLCJsYW5nIjoiZW4iLCJjYXJ0IjowLCJ0enMiOi01LCJjZG4iOiJodHRwczpcL1wvbWVkaWEuY29kZXdlYXZlcnMuY29tXC9wdWJcL2Nyb3Nzb3Zlclwvd2Vic2l0ZSIsImNkbnRzIjoxNzE4NzMyNzMzLCJjc3JmX3Rva2VuIjoiV1dFckZyR1JXYTVSMkFWYSIsImdkcHIiOjB9